.wrapper {
  width: 100%;
  height: 100vh;
  overflow: hidden;

  // Main section -- introduce
  .main {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    transition: 500ms ease-in-out;
    background-image: linear-gradient(to right bottom, var(--color-primary-0), var(--color-primary-4));

    .mainImage {
      padding: 50px 0;
      text-align: center;
      img {
        width: 450px;
        height: auto;
      }
    }
    .mainContent {
      text-align: center;

      .title {
        font: var(--font-title-xs);
        color: var(--primary-0);
      }
      .desc {
        font: var(--font-base);
        color: var(--white-5);
      }
    }
    .hideAction {
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      bottom: 10px;
      cursor: pointer;

      width: 50px;
      height: 50px;
      border: 2px solid #fff;
      border-radius: 50%;
      text-align: center;
      padding: 7px;
    }

    &[data-hide=true] {
      height: 0;
    }
  }

  // Study section
  .studySection {
    width: 100%;
    height: 100vh;
    position: relative;

    .studyBar {
      width: 100%;
      height: 60px;
      box-shadow: var(--shadow-sm);
      padding: 5px;
      position: fixed;
      top: 0;
      display: flex;
      justify-content: flex-end;
      z-index: 9;

      .timeActionWrapper {
        height: 50px;
        padding: 5px 0;
        display: none;

        .timeAction {
          position: relative;
          width: 40px;
          height: 40px;
          border-radius: 50%;
          border: 2px solid var(--color-white-4);
          margin-right: 5px;

          &.clear {
            border-style: dotted;
          }
        }
        .timeContent {
          padding: 5px;
          border-radius: 5px;
          background-color: var(--color-white-4);
          font: normal normal 600 30px/31px Arial, sans-serif;
        }
      }
    }

    .studyActions {
      position: relative;
      width: 100%;
      height: calc(100vh - 60px);
      margin-top: 60px;
      display: flex;

      .write, .tasksManagement {
        width: 50%;
        height: 100%;
      }

      .write {
        textarea {
          height: calc(100vh - 60px);
          padding: 50px;
          font: var(--font-title);
          border: none;
          resize: none;
        }
      }

      .tasksManagement {
        padding: 50px;

        .tasksManagementAdd {
          position: absolute;
          bottom: 10px;
          right: 10px;
          width: 50px;
          height: 50px;
          padding: 5px;
        }
      }

      &::after {
        content: '';
        width: 1px;
        height: calc(100% - 20px);
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: var(--color-white-4)
      }
    }
  }


  // Audio control
  .audioActionWrapper {
    position: fixed;
    top: 5px;
    left: 5px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 999;
    transition: 300ms;

    audio {
      visibility: hidden;
    }

    .audioAction {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 40px;
      height: 40px;
      border: 2px solid #fff;
      border-radius: 50%;
      text-align: center;
      padding: 3px;
      transition: 300ms;
    }

    &[data-pause=true] {
      border-radius: 5px;

      .audioAction {
        border-radius: 5px;
      }
    }
  }
}



// Task
.task {
  padding: 10px 25px;
  border: 1px solid var(--color-white-5);
  border-radius: 8px;
  margin-bottom: 25px;

  .taskTitleAndStatus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 15px;
  
    .taskTitle {
      font: var(--font-title);
    }
  }
    
  .taskContent {
    margin-bottom: 15px;
    textarea {
      resize: none;
    }
  }

  .taskActions {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  &:last-child {
    margin-bottom: 0;
  }

  &.add {
    .taskTitleAndStatus {
      .taskTitle {
        width: 100%;
      }
      .taskStatus {
        display: none;
      }
    }
  }

  &[data-done=true] {
    border-color: var(--color-primary-0);

    .taskTitleAndStatus .taskTitle {
      color: var(--color-primary-4);
      text-decoration-line: line-through;
    }
  }

  // Level
  &[data-level='0'] {
    border-color: rgb(255, 93, 93);
  }
  &[data-level='1'] {
    border-color: rgb(182, 182, 0);
  }
}